figure1 <- function() {

  library(lattice)
  ## Graphical settings
  grl     <- trellis.par.get("reference.line")
  grl$col <- "black"
  grl$lty <- 3
  trellis.par.set("reference.line",grl)

  newdata             <- datab4[datab4$WRES!=0,]
  ids                 <- newdata[,"ID"]
  
  xplot <- xyplot(DV~TAD,data=newdata,
                  groups = ID,
                  aspect=1,
                  ids  = ids,
                  xlab = "Time after dose (h)",
                  ylab = "Observed concentration (ng/mL)",
                  panel=function(x,y,ids,subscripts,...) {
                    ord <- order(x)
                    panel.grid()
                    panel.superpose(x[ord],y[ord],subscripts[ord],
                                    ...,type="b",pch="o",cex=0.7,
                                    col="black",lty=1)
                    panel.loess(x,y,lwd=4,lty=1,col="black")
                    
                    ## Adding the id-labels
                    idd  <- ids[subscripts]
                    yres <- residuals(loess(y~x))

                    ord     <- order(yres)
                    ordy    <- y[ord]
                    ordx    <- x[ord]
                    ordidd  <- idd[ord]
                    
                    ## Number of ID data points to plot
                    idsext <- ceiling(length(x)*0.02)

                    ll <- length(ordx)
                    
                    ## Upper points
                    ltext(ordx[(ll-idsext+1):ll],
                          ordy[(ll-idsext+1):ll],
                             ordidd[(ll-idsext+1):ll],
                             cex=0.7)
                    ## Lower points
                    ltext(ordx[1:idsext],
                             ordy[1:idsext],
                             ordidd[1:idsext],
                             cex=0.7)
                  }
                  )

  print(xplot)
  invisible()
}
