figure12 <- function() {

  library(lattice)
  
  adata <- datab4 
  adata <- adata[adata$WRES!=0,]
  ## Create subset
  subci  <- 0.99 # The limits of the sampling region
  frac   <- 0.99  # Probability of being plotted if in the region
  
  yres <- residuals(loess(DV~PRED,adata))
  lims <- quantile(yres,
                   probs=c(1-subci,subci))
  

  mp3fun <- function(x,lims) {
    ret <- 1
    if(any(x < lims[1])) ret <- 0
    if(any(x > lims[2])) ret <- 0
    ret
  }
  
  RR     <- tapply(yres,adata$ID,FUN="mp3fun",lim=lims)
  ids    <- unique(adata[,"ID"])
  RRR    <- sample(c(0,1),size=length(ids),replace=TRUE,
                   prob=c(frac,1-frac))
  
  tmp    <- data.frame(ID=as.factor(names(RR)),
                       R=RR*RRR)
  
  names(tmp) <- c("ID","R")
  data       <- merge(tmp,adata,by="ID",sort=FALSE)
  
  ## Select data points to plot ID numbers for
  yres <- residuals(loess(abs(data$IWRE)~data$IPRE))
  lims <- quantile(yres,prob=c(0.02,0.98))
  
  data[,"RR"] <- ifelse(yres <= lims[1],1,0)
  data[,"RR"] <- ifelse(yres >= lims[2],1,data$RR)
  
  xplot <- xyplot(abs(IWRE)~IPRE,data,
                  rr = data$RR,
                  ids= data$ID,
                  ylab="|Individually weighted residuals|",
                  xlab="Individual predictions (ng/mL)",
                  aspect=1,
                  panel = function(x,y,rr,ids,...) {
                    panel.xyplot(x,y,col="black")
                    panel.loess(x,y,lwd=2,lty=1)
                    ltext(x[rr==1],y[rr==1],ids[rr==1],cex=0.7)
                  }
                  )
  print(xplot)
  invisible()
  
}
