figure16 <- function() {

  library(lattice)
  
  ## Graphical settings
  str     <- trellis.par.get("strip.background")
  str$col <- rep("transparent",length(str$col))
  trellis.par.set("strip.background",str)

  grl     <- trellis.par.get("reference.line")
  grl$col <- "black"
  grl$lty <- 3
  trellis.par.set("reference.line",grl)

  adata <- datab4[!duplicated(datab4$ID),]
  
  newdata <- stack(adata,select=c(CL2,DELC2,ETA12))
  newdata[,"ID"] <- rep(adata$ID,3)
  newdata[,"CRCL"] <- rep(adata$CRCL,3)  

  newdata$ind <- as.factor(newdata$ind)
  levels(newdata$ind) <- c("CL","CL-TVCL","ETA CL")
  xplot <- xyplot(values~CRCL|ind,newdata,
                  groups=ID,
                  layout=c(3,1),
                  ylab="Unexplained variability in CL",
                  xlab="Creatinine clearance (mL/min)",
                  aspect=1,
                  scales=list(y=list(relation="free")),
                  panel=function(x,y,...) {
                    panel.superpose(x,y,col="black",pch=1,...)
                    panel.loess(x,y,col="black",lwd=2)
                    }
                    )
  print(xplot)
}
