figure17 <- function() {

## Same as dv.vs.preds2 but excluding some strange individuals

## Graphical settings
  str     <- trellis.par.get("strip.background")
  str$col <- rep("transparent",length(str$col))
  trellis.par.set("strip.background",str)

  grl     <- trellis.par.get("reference.line")
  grl$col <- "black"
  grl$lty <- 3
  trellis.par.set("reference.line",grl)

  adata <- datab4 
  adata <- adata[adata$WRES!=0,]
  ## Create subset
  subci  <- 0.99 # The limits of the sampling region
  frac   <- 0.99  # Probability of being plotted if in the region
  
  yres <- residuals(loess(DV~PRED6,adata))
  lims <- quantile(yres,
                   probs=c(1-subci,subci))
  

  mp3fun <- function(x,lims) {
    ret <- 1
    if(any(x < lims[1])) ret <- 0
    if(any(x > lims[2])) ret <- 0
    ret
  }
  
  RR     <- tapply(yres,adata$ID,FUN="mp3fun",lim=lims)
  ids    <- unique(adata[,"ID"])
  RRR    <- sample(c(0,1),size=length(ids),replace=TRUE,
                   prob=c(frac,1-frac))
  
  tmp    <- data.frame(ID=as.factor(names(RR)),
                       R=RR*RRR)
                
  names(tmp) <- c("ID","R")
  data       <- merge(tmp,adata,by="ID",sort=FALSE)

  ## Select data points to plot ID numbers for
  yres <- residuals(loess(data$DV~data$PRED6))
  lims <- quantile(yres,prob=c(0.02,0.98))
  
  data[,"RR"] <- ifelse(yres <= lims[1],1,0)
  data[,"RR"] <- ifelse(yres >= lims[2],1,data$RR)

  data.stack <- stack(data,c("PRED6","IPRE6"))
  data.stack[,"ID"] <- rep(data$ID,2)
  data.stack[,"DV"] <- rep(data$DV,2)
  data.stack[,"R"]  <- rep(data$R,2)
  data.stack[,"RR"] <- rep(data$RR,2)
  data.stack$ind <- ordered(data.stack$ind,levels=c("PRED6","IPRE6"))
  levels(data.stack$ind) <- c("Population predictions",
                              "Individual predictions")

    xplot <- xyplot(DV~values|ind,data.stack,
                    groups=ID,
                    ylab = "Observations (ng/mL)",
                    xlab = "Predictions (ng/mL)",
                    adat = data.stack,
                    ids = data.stack[,"ID"],
                    rr  = data.stack[,"RR"],
                    subset = R==0 & ID!=16 & ID!=42,
                    layout=c(2,1),
                    aspect=1.5,
                    panel=function(x,y,subscripts,adat,ids,rr,...) {
                        ord <- order(x)
                        panel.grid()
                        panel.abline(0,1,lwd=3)
                        panel.superpose(x[ord],y[ord],subscripts[ord],
                                ...,type="b",pch=1,cex=0.7,lty=1,col="black")
                                
                    idd <- ids[subscripts]
                    ltext(x[rr[subscripts]==1],y[rr[subscripts]==1],
                          idd[rr[subscripts]==1],
                          cex=0.7)
                    
                    }
                    )
    print(xplot)
    invisible()
}
