figure20 <- function() {

  library(lattice)
  
  ## Graphical settings
  str     <- trellis.par.get("strip.background")
  str$col <- rep("transparent",length(str$col))
  trellis.par.set("strip.background",str)
  
  str     <- trellis.par.get("strip.shingle")
  str$col <- rep("transparent",length(str$col))
  trellis.par.set("strip.shingle",str)

  grl     <- trellis.par.get("reference.line")
  grl$col <- "black"
  grl$lty <- 3
  trellis.par.set("reference.line",grl)
  
  gr   <- trellis.par.get("bar.fill")
  gr$col <- "transparent"
  trellis.par.set("bar.fill",gr)
  
  data <- read.table("simcat1.dta",h=T)
  data$DV <- as.factor(data$DV)
  data$DOSE <- as.factor(data$DOSE)
  
  histogram(~DV|DOSE,data,
            par.strip.text=list(cex=0.7),
            strip=function(...) strip.default(...,

              strip.names=c(TRUE,TRUE)),
            layout=c(4,1),
            aspect=1,
            ylab="Percent of total",
            xlab="Observation category")

}
