figure21 <- function() {

  library(lattice)
  data      <- read.table("simcat1.dta",h=T)
  data$DV   <- as.factor(data$DV)
  data$DOSE <- as.factor(data$DOSE)
  
  tmp1 <- make.sb.data("DV",data,idv=c("DOSE"))
  names(tmp1)[1] <- "DV"
  names(tmp1)[2] <- "Pind"

  barchart(DV~DOSE,tmp1,
           stack=T,
           groups=Pind,
           col=c("white","lightgray","grey","darkgrey","dimgrey","black"),
           key=list(
             space="right",
             rectangles=list(col=rev(c("white","lightgray",
                               "grey","darkgrey","dimgrey","black"))),
             text =list(as.character(5:0))
             ),
           aspect=1,
           ylab="Probability",
           xlab="Dose",
           panel=function(x,y,...) {
             panel.barchart(x,y,...)
           }
           )
           
}
