figure24 <- function() {

  library(lattice)
  data      <- read.nm.tables(3,table.names=c("simtab"))
  names(data)[names(data)=="DV"] <- "Observations"
  data$Observations   <- as.factor(data$Observations)
  names(data)[names(data)=="SPR"] <- "Predictions"
  data$Predictions  <- as.factor(data$Predictions)
  data$DOSE <- as.factor(data$DOSE)
  
   tmp3 <- trellis.par.get("strip.background")
  tmp3$col <- rep("white",6)
  trellis.par.set("strip.background",tmp3)
  
  
  tmp1 <- make.sb.data("Observations",data,idv=c("DOSE"))
  names(tmp1)[1] <- "Observations"
  tmp2 <- make.sb.data("Predictions",data,idv=c("DOSE"))
  names(tmp2)[1] <- "Predictions"
  tmp <- cbind(tmp1,tmp2[,"Predictions"])
  
  names(tmp)[c(2,4)] <- c("Pind","Predictions")
  data <- stack.xpose(tmp,c("Observations","Predictions"),c("Pind","DOSE"))

  barchart(values~DOSE|ind,data,stack=T,groups=Pind,
           col=c("white","lightgray","grey","darkgrey","dimgrey","black"),
           xlab="Dose",
           ylab="Probability",
           key=list(
             space="right",
             rectangles=list(col=rev(c("white","lightgray","grey","darkgrey","dimgrey","black"))),
             text      =list(as.character(5:0))
             ),
           aspect=1,
           panel=function(x,y,...) {
             panel.barchart(x,y,...)
             yy <- as.vector(t(apply(matrix(y,nrow=4),1,cumsum)))

             tmp <- as.list(substitute(list(...)))
             gr <- tmp$groups[tmp$subscripts]

             yy   <- yy[gr!="5"]
             xx   <- x[gr!="5"]
             gr   <- gr[gr!="5"]

             panel.superpose(xx,yy,groups=gr,
                             subscripts=1:20,
                             type="b",col="black",lty=2,lwd=2,pch=16)
           }
           )
}
