figure26 <- function() {

  library(lattice)
  
  ## Wrong model (linear logit)
  data      <- read.nm.tables(2,table.names=c("simtab"))
  
  names(data)[names(data)=="DV"]  <- "Observations"
  data$Observations               <- as.factor(data$Observations)
  names(data)[names(data)=="SPR"] <- "Predictions"
  data$Predictions                <- as.factor(data$Predictions)
  data$DOSE                       <- as.factor(data$DOSE)
  
  tmp1 <- make.sb.data("Observations",data,idv=c("DOSE"))
  names(tmp1)[1] <- "Observations"
  tmp2 <- make.sb.data("Predictions",data,idv=c("DOSE"))
  names(tmp2)[1] <- "Predictions"
  tmp <- cbind(tmp1,tmp2[,"Predictions"])
  
  names(tmp)[c(2,4)] <- c("Pind","Predictions")
  tmp$RES <- tmp$Observations-tmp$Predictions
  tmp$DOSE <- as.factor(tmp$DOSE)

  xplot <- xyplot(Observations~Predictions,tmp,
                  groups=DOSE,
                  ids = tmp$Pind,
                  ylab="Observed probabilities",
                  xlab="Predicted probabilities",
                  type="l",
                  panel=function(x,y,ids,...) {
                    ord <- order(x)
                    panel.abline(0,1,lty=1)
                    panel.superpose(x[ord],y[ord],col.line="black",
                                    lty=2:5,lwd=2,...)

                    ltext(x[rev(ord)],y[rev(ord)],as.vector(ids),
                          col="black",lty=2:5,lwd=2)
                  },
                  key=list(column=4,
                    text=list(levels(tmp$DOSE)),
                    lines=list(col="black",lty=2:5,lwd=2)
                    )
                     
                    
                    
                  )
  print(xplot)
  return()

}
