figure28 <- function() {

    run6 <- datab4[!duplicated(datab4$ID),]

    crcl <- run6$CRCL
    sex <-  run6$SEX

    totvar   <- (var((0.00926*(crcl-90)))+0.0443+var((1-0.169*sex)))    
    crclvar  <- (var((0.00926*(crcl-90))))/totvar
    sexvar   <- (var((1-0.169*sex)))/totvar
    covvar   <- (var((0.00926*(crcl-90)))+var((1-0.169*sex)))/totvar
    unexpvar <- 0.0443/totvar
 
   
    data <- matrix(0,ncol=3,nrow=4)
    data[,1] <- c(covvar,unexpvar,0,0)
    data[,2] <- c(0,0,crclvar,0)
    data[,3] <- c(0,0,0,sexvar)
    barplot(data,cex.a=0.8,names=c("Total variability",
                             "Creatinine clearance","Sex"),
            density=c(0,0,0,0),mgp=c(2,1,0),
            ylab=list("Relative contribution to the\n variability in clearance",cex=0.8))
    
            
    text(0.7,covvar/2,"All covariates",adj=0.5)
    text(0.7,covvar+unexpvar/2,"Unexplained\nvariability")
    invisible()
}
