figure30 <- function() {

    str     <- trellis.par.get("strip.background")
    str$col <- rep("transparent",length(str$col))
    trellis.par.set("strip.background",str)

    ## Read the Ciint data
    data <- read.table("predtab12",h=T,skip=1)
    data <- data[data$WRES!=0,]
    
    data1    <- data
    data1$PRED <- data$UPP
    
    data2    <- data
    data2$PRED <- data$DOWN
    
    data$TYPE <- rep("Prediction",nrow(data))
    data1$TYPE <- rep("Upper",nrow(data1))
    data2$TYPE <- rep("Lower",nrow(data2))

    ## Read the predint data
    datapi <- read.table("predtab11",h=T,skip=1)
    datapi <- datapi[datapi$WRES!=0,]
    
    data1pi      <- datapi
    data1pi$PRED <- datapi$UPP
    
    data2pi      <- datapi
    data2pi$PRED <- datapi$DOWN
    data1pi$TYPE <- rep("UpperPI",nrow(data1pi))
    data2pi$TYPE <- rep("LowerPI",nrow(data2pi))

    totdat <- rbind(data1,data,data2,data1pi,data2pi)
    totdat$PRED <- ifelse(totdat$PRED < 0,0,totdat$PRED)
    totdat$ID <- as.factor(totdat$ID)
    totdat$TYPE <- as.factor(totdat$TYPE)
    levels(totdat$ID) <- c("CRCL = 30 mL/min","CRCL = 100 mL/min")
    xplot <- xyplot(PRED~TIME|ID,totdat,
                    groups=TYPE,
                    ylab="Concentration (ng/mL)",
                    xlab="Time (h)",
                    aspect=1,
        #            ylim=c(-0.05,9),
                    key=list(
                        x=0.6,y=0.75,
                        lines = list(lwd=c(1,2,1),lty=c(4,1,3)),
                        text          =list(c("95% prediction interval","Typical individual prediction","95% confidence interval"),cex=0.5)
                        ),
                    panel=function(x,y,...) {
                        panel.superpose(x,y,type="l",lty=c(3,4,1,3,4),lwd=c(1,1,2,1,1),col=1,...)
                        }
                        )
                    
    print(xplot)
    invisible()
    return()
}
