figure6 <- function() {

  library(lattice)
  
  data <- datab4
  data[,"Events"] <- ifelse(data$WRES!=0,0,1)
  events <- data$Events
  
  ## Some graphical parameters
  str     <- trellis.par.get("add.text")
  str$cex <- 0.7
  trellis.par.set("add.text",str)
  
  xplot <- xyplot(ID~TIME,data,
         groups=ID,
         ev = events,
         #layout=c(7,1),
         aspect=1/3,
         xlab="Time (h)",
         strip=function(...) strip.default(...,style=3,strip.names=c(T,T)),
         panel=function(x,y,ev,subscripts,...) {

           panel.superpose(x,y,subscripts,
                           lty=3,col="black",type="l",...)

           panel.grid(v=-1,h=FALSE,lty=1,lwd=0.5)
           ev <- ev[subscripts]
           lpoints(x[ev==0],y[ev==0],pch=1,col="black",...)
           lpoints(x[ev==1],y[ev==1],pch="|",col="black",...)
         },
         key=list(space="top",columns=2,
           text=list(c("Dosing event","Non-dosing event")),
            points=list(pch=c("|","o"),col=c("black","black"))
            )
          
          )
  print(xplot)
  invisible()
}
