make.sb.data <- function(dv,data,idv=NULL) {

  if(!is.null(idv) & length(idv) > 2)
    return("This function only works for up to two independent variables\n")
     
  divit   <- function(x,tots) ifelse(is.na(x),0,x/tots)
  #set.vname <- function(x,nam) vname(x) <- nam
  
  ll <- list(data[,dv])
  if(!is.null(idv)) ll <- as.list(data[,c(dv,idv)])

  tmp     <- tapply(data[,dv],ll,length)
  ## Make a dataframe object with the columns being DV
  tmp <- t(as.data.frame(tmp))
  rowsums <- apply(tmp,1,"sum",na.rm=TRUE)
  tmp     <- apply(tmp,2,divit,tots=rowsums)

  ## Add the independent variables
  if(!is.null(idv)) {
    if(length(idv)==1) {
  
      tmp2 <- factor(levels(data[,idv]),levels=levels(data[,idv]))
      tmp <- cbind(tmp,data.frame(tmp2))
      names(tmp)[length(names(tmp))] <- idv

    } else {
      tmp2 <- factor(levels(data[,idv[1]]),levels=levels(data[,idv[1]]))
      tmp <- cbind(tmp,data.frame(
                                  rep(tmp2,
                                      length(levels(data[,idv[2]])))
                                  ))
      names(tmp)[length(names(tmp))] <- idv[1]

      tmp2 <- factor(levels(data[,idv[2]]),levels=levels(data[,idv[2]]))
      tmp <- cbind(tmp,data.frame(
                                  rep(tmp2,
                                      each=length(levels(data[,idv[1]])))
                                  ))
      names(tmp)[length(names(tmp))] <- idv[2]
    }
  }

  ## Now we need to stack the whole thing
  tmp <- stack.xpose(tmp,select=names(tmp)[1:(dim(tmp)[2]-length(idv))],
                     rep=idv)
  if(!is.null(idv)) {
    for(i in idv) {
      levels(tmp[,i]) <- levels(data[,i])
    }
  }
  tmp

}
